### Method

# Ggit CloneOptions set_checkout_branch

#### Declaration [src]

    void
    ggit_clone_options_set_checkout_branch (
      GgitCloneOptions* options,
      const gchar* checkout_branch
    )

#### Description [src]

Gives the name of the branch to checkout. `NULL` means use the remote’s HEAD.

#### Parameters

`checkout_branch`

  Type: `const gchar*`

  The name of the branch to checkout or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.